Subject: Re: [PATCH 1/1] dt-bindings: net: dsa: nxp,sja1105: Add optional clock

From: Jakub Kicinski <[email-masked]>
Date: Wed, 15 Oct 2025 07:25:47 -0700

On Wed, 15 Oct 2025 06:53:01 -0500 Rob Herring wrote:
> > > And the issue is that both PW projects might get updated and both don't
> > > necessarily want the same state (like this case). So we need to
> > > distinguish. Perhaps like one of the following:
> > >
> > > dt-pw-bot: <state>
> > >
> > > or
> > >
> > > pw-bot: <project> <state>  
> >
> > We crossed replies, do you mind
> >
> >   pw-bot: xyz [project]
> >
> > ? I like the optional param after required, and the brackets may help
> > us disambiguate between optional params if there are more in the future.  
> 
> That's fine. Though it will be optional for you, but not us? We have
> to ignore tags without the project if tags intended for netdev are
> continued without the project. Or does no project mean I want to
> update every project?

Fair :( I imagine your workflow is that patches land in your pw, and
once a DT maintainer reviewed them you don't care about them any more?
So perhaps a better bot on your end would be a bot which listens to
Ack/Review tags from DT maintainers. When tag is received the patch
gets dropped from PW as "Handled Elsewhere", and patch id (or whatever 
that patch hash thing is called) gets recorded to automatically discard
pure reposts.

Would that work?